Up

# NSTableHeaderView

### Authors

Nicola Pero (`n.pero@mi.flashnet.it`)
Nicola Pero (`nicola@brainstorm.co.uk`)

Copyright: (C) 1999 Free Software Foundation, Inc.

# Software documentation for the NSTableHeaderView class

## NSTableHeaderView : NSView

> Declared in:
>   AppKit/NSTableHeaderView.h

Availability: OpenStep
Description forthcoming.

Instance Variables
Method summary

- -columnAtPoint:
- -draggedColumn
- -draggedDistance
- -headerRectOfColumn:
- -resizedColumn
- -setTableView:
- -tableView

### columnAtPoint:

- (int) columnAtPoint: (NSPoint)aPoint;
Availability: OpenStep
Description forthcoming.

### draggedColumn

- (int) draggedColumn;
Availability: OpenStep
Description forthcoming.

### draggedDistance

- (float) draggedDistance;
Availability: OpenStep
Description forthcoming.

### headerRectOfColumn:

- (NSRect) headerRectOfColumn: (int)columnIndex;
Availability: OpenStep
Description forthcoming.

### resizedColumn

- (int) resizedColumn;
Availability: OpenStep
Description forthcoming.

### setTableView:

- (void) setTableView: (NSTableView*)aTableView;
Availability: OpenStep
Description forthcoming.

### tableView

- (NSTableView*) tableView;
Availability: OpenStep
Description forthcoming.

## Instance Variables for NSTableHeaderView Class

### _resizedColumn

@protected int _resizedColumn;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _tableView

@protected NSTableView* _tableView;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up